function priempje(){
	self.addEventListener("message", function(e) {
    
    var priem = false;
    
    for (i=2; i<=parseInt(e.data); i++)
    {
        console.log('Volgende getal in de loop!');        
        
        if (i==2)
        {
            priem = true;
        }
        else
        {
            if (i%2==0 && i>2)
            {
                priem = false;
            }
            else
            priemLoop: {
                
                for (j=3; j<=Math.sqrt(i); j+=2)
                {
                    if (i%j==0)
                    {
                          priem = false; 
                          break priemLoop;
                    }
                }
                
                priem = true;
            }  
        }
        
        if (priem==true){
                self.postMessage(i);
        }
    }

	}, false);
}